Subject: Re: Dscape ieee80211: enabling/disabling the radio

From: Ivo van Doorn <[email-masked]>
Date: Wed, 10 May 2006 15:37:11 +0200

On Wednesday 10 May 2006 00:36, Michael Wu wrote:
> On Tuesday 09 May 2006 18:01, Ivo van Doorn wrote:
> > A user on the forums Olivier Cornu (added to the CC list) has done some
> > investigation into the scanning behaviour of the dscape stack.
> > Basicly the dscape stack is performing active scanning while the device is
> > down, but during the active scan it is sending packets out, or at least
> > attempting to do so. Besides the question if active scanning is preferred
> > over passive scanning while interface is down, active scanning fails
> > because the packets that should be send are being send through the regular
> > xmit routines of the interface. (IFF_UP is not set for the interface)
> >
> > This means that besides enabling the radio which should be done in the
> > driver, the stack should either bring up the interface when doing an active
> > scan, or resort to passive scanning while interface is down.
> >
> If you can passive scan while the interface is down, I don't think it's really 
> down. In adm8211, nothing can be sent or received when the interface is down. 
> The radio is always off when the interface is down. Taking the interface up 
> just for a scan and then taking it back down doesn't sound too good either. I 
> think scans should be prohibited while the interface is down, since leaving 
> the interface on isn't gonna do anything bad unless you put in the info to 
> associate.

True, I agree here. But when rt2x00 was using the ipw stack a much
requested feature from users was to be able to perform scanning while
interface was down. (The requests did not specify if it they wanted passive or active scanning)
But the reason for these requests was that some user space applications and/or
distribution network scripts relied on the fact that the driver was capable of scanning
while the interface was down, so the interface would only be brought up at boot time,
when there was no desired AP in the scan result.
I don't know which distributions or user space application these were, but due to the amount
of these requests it had been considered an important feature.

Ivo